# Uses of Class
org.springframework.aot.hint.JavaSerializationHint.Builder

Packages that use JavaSerializationHint.Builder
Package
Description
org.springframework.aot.hint
Support for registering the need for reflection, resources, java serialization and proxies at runtime.

## Uses of JavaSerializationHint.Builder in org.springframework.aot.hint

Methods in org.springframework.aot.hint that return JavaSerializationHint.Builder
Modifier and Type
Method
Description
`JavaSerializationHint.Builder`
JavaSerializationHint.Builder.`onReachableType(TypeReference reachableType)`
Make this hint conditional on the fact that the specified type can be resolved.
Method parameters in org.springframework.aot.hint with type arguments of type JavaSerializationHint.Builder
Modifier and Type
Method
Description
`SerializationHints`
SerializationHints.`registerType(Class<? extends Serializable> type, Consumer<JavaSerializationHint.Builder> serializationHint)`
Register that the specified type need to be serialized using java serialization.
`SerializationHints`
SerializationHints.`registerType(TypeReference type, Consumer<JavaSerializationHint.Builder> serializationHint)`
Register that the type defined by the specified `TypeReference` need to be serialized using java serialization.